Bug 1465037 - "Unable to start music sharing server" error
"Unable to start music sharing server" error
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libdmapsharing (Show other bugs)
7.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Bastien Nocera
Desktop QE
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-26 09:08 EDT by Tomas Pelka
Modified: 2017-09-21 11:33 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1259708
Environment:
DISTRO=RHEL-7.3-20160621.n.0
Last Closed: 2017-09-21 11:33:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 766723 None None None 2017-06-26 09:09 EDT

  None (edit)
Comment 2 Bastien Nocera 2017-06-26 11:52:45 EDT
Those warnings are innocuous, but warnings nonetheless:
(rhythmbox:24164): libdmapsharing-WARNING **: Unable to start music sharing server on port 3689: Could not listen on address 0.0.0.0, port 3689: Error binding to address: Address already in use. Trying any open IPv6 port

See:
edbeeba31ff150cd8ec048dd8149bbcf7f5bcefd upstream commit
and:
https://bugzilla.gnome.org/show_bug.cgi?id=766723
Comment 4 Tomas Pelka 2017-06-27 07:11:07 EDT
Warnings are gone and services/TCP ports

0.0.0.0:33217
0.0.0.0:3689
:::3689
:::33217

get opened.

I guess it is ok.
Comment 5 Bastien Nocera 2017-09-21 11:33:22 EDT
libdmapsharing-2.9.39-1.el7 in comment 3 was released in RHEL 7.4:
https://access.redhat.com/errata/RHBA-2017:2315

Note You need to log in before you can comment on or make changes to this bug.